<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.privacyspace.PrivacyPinOneActivity">

    <View
        android:id="@+id/v_top"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/fl_fanhui"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="18dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_top">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/quit"
            tools:ignore="ContentDescription" />
    </FrameLayout>


    <LinearLayout
        android:id="@+id/ll_input"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="Please confirm PIN"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />


        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="8dp"
            android:clickable="true"
            android:focusable="true"
            android:orientation="horizontal">

            <FrameLayout
                android:id="@+id/fl_1"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_margin="8dp"
                android:background="@drawable/bg_border_pin">

                <EditText
                    android:id="@+id/edit_1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:gravity="center"
                    android:inputType="numberPassword"
                    android:maxLength="1"
                    android:textColor="@color/black"
                    android:textSize="20sp"
                    tools:ignore="Autofill,LabelFor"
                    tools:text="1" />

            </FrameLayout>


            <FrameLayout
                android:id="@+id/fl_2"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_margin="8dp"
                android:background="@drawable/bg_border_pin"
                android:clickable="true"
                android:focusable="true">

                <EditText
                    android:id="@+id/edit_2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:gravity="center"
                    android:inputType="numberPassword"
                    android:maxLength="1"
                    android:textColor="@color/black"
                    android:textSize="20sp"
                    tools:ignore="Autofill,LabelFor"
                    tools:text="1" />

            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_3"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_margin="8dp"
                android:background="@drawable/bg_border_pin"
                android:clickable="true"
                android:focusable="true">

                <EditText
                    android:id="@+id/edit_3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:gravity="center"
                    android:inputType="numberPassword"
                    android:maxLength="1"
                    android:textColor="@color/black"
                    android:textSize="20sp"
                    tools:ignore="Autofill,LabelFor"
                    tools:text="1" />

            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_4"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_margin="8dp"
                android:background="@drawable/bg_border_pin"
                android:clickable="true"
                android:focusable="true">

                <EditText
                    android:id="@+id/edit_4"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:gravity="center"
                    android:inputType="numberPassword"
                    android:maxLength="1"
                    android:textColor="@color/black"
                    android:textSize="20sp"
                    tools:ignore="Autofill,LabelFor"
                    tools:text="1" />

            </FrameLayout>

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:visibility="gone"
        android:id="@+id/ll_remember_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:src="@mipmap/shezhimimaicon"
            tools:ignore="ContentDescription" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="48dp"
            android:text="Remember your PIN"
            android:textColor="@color/black"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:gravity="center"
            android:text="Secret space can't be opened again if you \nforget the PlN"
            android:textColor="#666666"
            android:textSize="15sp"
            tools:ignore="HardcodedText" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>